DROP VIEW V_S_DOKUMENT;

CREATE OR REPLACE VIEW V_S_DOKUMENT
AS (
SELECT SD.ID_DOKUMENT, SD.STEVILKA, SD.DATUM, SD.DEL_NALOG, SD.PR_RACUN, SD.UPORABNIK, SD.DT_VPISA, SD.ST_DOKUMENTA, SD.TIP, SD.ID_LOKACIJA, SD.DOBAVITELJ, SD.DT_SPREMEMBE,
SD.OPOMBA, SD.STATUS, SD.UPOR_SPREM, SD.PREJEMNIK, SD.ID_STORITVE, SD.NGRUPA, SD.REF_DOK, SD.PRENOS,
NG.OPIS AS NNGRUSTO_OPIS, MD.STEVILKA AS M_DE_NA_STEVILKA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM S_DOKUMENT SD
LEFT OUTER JOIN NNGRUSTO NG ON NG.NGRUPA = SD.NGRUPA
LEFT OUTER JOIN M_DE_NA MD ON MD.ID_DN = SD.DEL_NALOG
LEFT OUTER JOIN KUPCI K ON K.ID = SD.DOBAVITELJ
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1422, SYSDATE, '5.5', 1342, 'VSDokument')
;