ALTER TABLE BATCH_PRINT
ADD FILE_NAME VARCHAR2(250 CHAR);

ALTER TABLE BATCH_PRINT
ADD FILE_REFERENCE VARCHAR2(20 CHAR);

DROP VIEW V_BATCH_PRINT;

CREATE OR REPLACE VIEW V_BATCH_PRINT AS (
SELECT BP.ID_BATCH_PRINT, BP.ID, BP.VRSTA, BP.COMPLETE, BP.CREATE_TIME, BP.REPORT_FILENAME, BP.REPORT_FILTER, BP.REPORT_TRANSLATE, BP.ID_KUPCA, BP.REPORT_PDF, BP.PRIORITY, 
BP.UPORABNIK, BP.SQL_FILENAME, BP.ID_POROCILA, BP.AUTO_CREATE, BP.SEND_TO_EMAIL, BP.ID_EMAIL_TEMPLATE, BP.FILE_NAME, BP.FILE_REFERENCE,
P.NASLOV_POR AS POROCILA_NASLOV_POR, P.DATOTEKA_POR AS POROCILA_DATOTEKA_POR, PJ.OPIS AS KUPCI_JEZIK_OPIS,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER
FROM BATCH_PRINT BP
LEFT OUTER JOIN POROCILA P ON P.ID_POROCILA = BP.ID_POROCILA
LEFT OUTER JOIN KUPCI KU ON KU.ID = BP.ID_KUPCA
LEFT OUTER JOIN PREVOD_JEZIKI PJ ON PJ.KODA_JEZIKA = KU.KODA_JEZIKA
);

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CEI', 'Contract expired information', 'Contract expired information', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1917, SYSDATE, '5.5', 1837, 'Batch print FS')
;
