CREATE SEQUENCE SEK_ID_INTERVAL START WITH 1 INCREMENT BY 1 MINVALUE 1 CACHE 20 NOCYCLE  NOORDER ;

ALTER TABLE NNINTERVALI
  ADD ID_INTERVAL number null;

update NNINTERVALI
set id_interval = sek_id_interval.nextval
where id_interval is null;

CREATE UNIQUE INDEX IX_NNINTERVALI ON NNINTERVALI (ID_INTERVAL);

ALTER TABLE NNINTERVALI
  MODIFY ID_INTERVAL number not null;

DROP SEQUENCE SEK_ID_INTERVAL;

INSERT INTO S_KLJUCI ( IDKLJUC, STEVEC, PREDPONA, PRIPONA, TIP, MESEC, DAN, LETO, DATUM, RESET, VIDEN ) VALUES ( 
'NNINTERVALI', 1, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, 0);

UPDATE S_KLJUCI
SET STEVEC=(Select MAX(ID_INTERVAL)+1 from NNINTERVALI)
WHERE IDKLJUC='NNINTERVALI';


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (105, SYSDATE, '5.5', 25, 'NNINTERVALI KEY');