CREATE TABLE VERZIJE_BAZA_UPG ( 
  ID_UPG       NUMBER        NOT NULL, 
  DT_VPIS  DATE          NOT NULL, 
  VERZIJA  VARCHAR2 (30)  NOT NULL, 
  VER_NR   NUMBER        NOT NULL, 
  OPIS     VARCHAR2 (100),
  LOG_FILE LONG, 
  CONSTRAINT PK_VERZIJE_BAZA_UPG
  PRIMARY KEY ( ID_UPG )
);

ALTER TABLE POROCILA
  ADD VERZIJA VARCHAR2(50);

UPDATE POROCILA
SET VERZIJA='MC'
WHERE VERZIJA IS NULL;

CREATE TABLE POROCILA_DOC (
 ID_POROCILA NUMBER NOT NULL,
 OPIS VARCHAR2(100),
 DOKUMENTACIJA LONG,
 CONSTRAINT PK_POROCILA_DOC PRIMARY KEY (ID_POROCILA)
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (115, SYSDATE, '5.5', 35, 'Upgrade baza table');