CREATE TABLE NNTIMER (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNTIMER_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNTIMER(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('CAL', 'Calendar', 'Calendar', 'Y');

INSERT INTO NNTIMER(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('INT', 'Interval', 'Interval', 'Y');

INSERT INTO NNTIMER(SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES ('SNG', 'Single action', 'Single action', 'Y');

ALTER TABLE TIMER_DATA
ADD CREATED_BY_USER VARCHAR2(1 CHAR);

ALTER TABLE TIMER_DATA
ADD TYPE VARCHAR2(3 CHAR);

ALTER TABLE TIMER_DATA
ADD NUM_OF_EXECUTIONS NUMBER;

ALTER TABLE TIMER_DATA
ADD TIMER_LEVEL NUMBER;

CREATE TABLE TIMER_EMAIL (
	ID_TIMER_EMAIL NUMBER NOT NULL,
	ID_TIMER_DATA NUMBER,
	ID_EMAIL NUMBER,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	CONSTRAINT TIMER_EMAIL_ID_TIMER_DATA_FK FOREIGN KEY (ID_TIMER_DATA) REFERENCES TIMER_DATA(ID_TIMER_DATA),
	CONSTRAINT TIMER_EMAIL_ID_EMAIL_FK FOREIGN KEY (ID_EMAIL) REFERENCES EMAILS(ID_EMAIL),
	CONSTRAINT TIMER_EMAIL_PK PRIMARY KEY (ID_TIMER_EMAIL)
);

CREATE SEQUENCE TIMER_EMAIL_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE EMAILS
ADD STATUS NUMBER;

ALTER TABLE EMAILS
ADD DATUM_POSILJANJA DATE;

ALTER TABLE EMAILS
ADD AVTOMATSKO_KREIRANJE VARCHAR2(1 CHAR);

ALTER TABLE TIMER_DATA
ADD EXPIRATION DATE;

ALTER TABLE TIMER_DATA
ADD INITIAL_DURATION NUMBER;

ALTER TABLE TIMER_DATA 
ADD INTERVAL_DURATION NUMBER;

ALTER TABLE TIMER_DATA 
ADD NUM_OF_EXECUTIONS_ON_DELAY NUMBER;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(484, SYSDATE, '5.5', 404, 'Emaili');